Name:           gnome-shell-extension-vitals
Version:        71.0.0
Release:        1%{?dist}
Summary:        GNOME Shell extension to show system stats (CPU, memory, network, etc.)

License:        GPL-2.0-or-later
URL:            https://github.com/corecoding/Vitals
Source0:        %{url}/releases/download/v%{version}/vitals.zip

BuildArch:      noarch
BuildRequires:  gettext-devel
BuildRequires:  glib2-devel
Requires:       gnome-shell
Recommends:     libgtop

%description
Vitals is a GNOME Shell extension to display various system metrics such as
temperature, voltage, fan speed, memory usage, processor load, system resources,
network speed, and storage statistics.

%prep
%setup -c -T
unzip -q %{SOURCE0}

# Compile localization files
find locale -name 'vitals.po' | while read -r po; do
  mo="${po%.po}.mo"
  msgfmt "$po" -o "$mo"
done

%build
# Nothing to build

%install
# Extension files
install -dm755 %{buildroot}/usr/share/gnome-shell/extensions/Vitals@CoreCoding.com
cp -a helpers icons metadata.json *.js *.css *.ui LICENSE \
  %{buildroot}/usr/share/gnome-shell/extensions/Vitals@CoreCoding.com/

# Schema
install -Dm644 schemas/org.gnome.shell.extensions.vitals.gschema.xml \
  %{buildroot}/usr/share/glib-2.0/schemas/org.gnome.shell.extensions.vitals.gschema.xml

# Locales
find locale -type f -name 'vitals.mo' | while read -r mo; do
  langdir=$(dirname "$mo")
  install -dm 755 "%{buildroot}/usr/share/$langdir/"
  install -Dm 644 "$mo" "%{buildroot}/usr/share/$langdir/"
done

%files
%license LICENSE
%{_datadir}/gnome-shell/extensions/Vitals@CoreCoding.com/*
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.vitals.gschema.xml
%{_datadir}/locale/*/LC_MESSAGES/vitals.mo

%changelog
* Sun Apr 20 2025 15:51 Little Owl <littleowl@athenaos.org>
- Synced with upstream
